﻿@model ListKong.Models.InventoryEditModel
@using  System.Data;
@{
    ViewData["Title"] = "Edit";
}
<script src="~/js/InventoryPage.js"></script>
<div class="container-fluid" style="min-height: 500.8px;margin:0 !important;">
    <section class="content-header">

        <ol class="breadcrumb">
            <li><a asp-controller="Inventory" asp-action="Index"><i class="fa fa-dashboard"></i><span class="icon-after-span">Manage Inventory</span></a></li>
            <li class="active">Edit Inventory</li>
        </ol>
    </section>
    <section class="content">
        <div class="row">

            <div class="panel panel-default">
                <div class="panel-heading">
                    <h4 class="box-title">Edit Inventory</h4>
                </div>
                <form asp-action="Edit" enctype="multipart/form-data" method="post">
                    <div class="panel-body table-responsive">
                        <div class="col-md-12">
                            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
                            @*<input asp-for="InvLocationID" type="hidden" class="form-control" />*@
                            <input asp-for="InvID" type="hidden" class="form-control" />
                            <input asp-for="InvCompanyID" type="hidden" class="form-control" />

                            <div class="col-md-6">
                                <label asp-for="CompanyName" class="control-label"></label>
                                <input asp-for="CompanyName" class="form-control" style="pointer-events:none;" />
                                <span asp-validation-for="CompanyName" class="text-danger"></span>
                            </div>
                            <div class="col-md-6">
                                <label asp-for="LocationName" class="control-label"></label>
                                @*@if (User.IsInRole("Admin"))
                                {*@
                                    <select asp-for="InvLocationID" id="InvLocationID" class="form-control ddlcompanyLocation">
                                        <option value="">-- Choose One --</option>
                                        @{
                                            DataTable dt;
                                            if (ViewData["LocationByCompany"] != null)
                                            {
                                                dt = (DataTable)ViewData["LocationByCompany"];

                                                for (int i = 0; i < dt.Rows.Count; i++)
                                                {
                                                    <option value="@dt.Rows[i]["LocationId"]">@dt.Rows[i]["LocationName"]</option>
                                                }
                                            }
                                        }
                                    </select>
                                    <input asp-for="LocationName" type="hidden" />
                                @*}
                                else
                                {
                                    <input asp-for="LocationName" class="form-control" readonly />

                                }*@
                                <span asp-validation-for="LocationName" class="text-danger"></span>

                            </div>

                            <div class="col-md-6">
                                <label asp-for="InvName" class="control-label"></label>
                                <input asp-for="InvName" class="form-control" />
                                <span asp-validation-for="InvName" class="text-danger"></span>
                            </div>

                            <div class="col-md-6">
                                <label asp-for="ConditionId" class="control-label"></label>
                                <select asp-for="ConditionId" id="MainColorId" class="form-control ddlcolor">
                                    <option value="">-- Choose One --</option>
                                    @{
                                        DataTable dtCondition;
                                        if (ViewData["InventoryConditionList"] != null)
                                        {
                                            dtCondition = (DataTable)ViewData["InventoryConditionList"];

                                            for (int i = 0; i < dtCondition.Rows.Count; i++)
                                            {
                                                <option value="@dtCondition.Rows[i]["Id"]">@dtCondition.Rows[i]["Name"]</option>
                                            }
                                        }
                                    }
                                </select>
                                <span asp-validation-for="ConditionId" class="text-danger"></span>
                            </div>

                            <div class="col-md-6">
                                <label asp-for="MainColorId" class="control-label"></label>
                                <select asp-for="MainColorId" id="MainColorId" class="form-control ddlMaincolor">
                                    <option value="">-- Choose One --</option>
                                    @{
                                        DataTable dtMainColor;
                                        if (ViewData["Colors"] != null)
                                        {
                                            dtMainColor = (DataTable)ViewData["Colors"];

                                            for (int i = 0; i < dtMainColor.Rows.Count; i++)
                                            {
                                                <option value="@dtMainColor.Rows[i]["Id"]">@dtMainColor.Rows[i]["Name"]</option>
                                            }
                                        }
                                    }
                                </select>
                                <span asp-validation-for="MainColorId" class="text-danger"></span>
                            </div>
                            <div class="col-md-6" id="otherMainColorDiv" style="display:none;">
                                <label asp-for="OtherMainColor" class="control-label"></label>
                                <input asp-for="OtherMainColor" class="form-control" />
                            </div>
                            <div class="col-md-6">
                                <label asp-for="InvBrandId" class="control-label"></label>
                                <select asp-for="InvBrandId" id="InvBrandId" class="form-control ddlbrand">
                                    <option value="">-- Choose One --</option>
                                    @{
                                        DataTable dtInvBrand;
                                        if (ViewData["Brands"] != null)
                                        {
                                            dtInvBrand = (DataTable)ViewData["Brands"];

                                            for (int i = 0; i < dtInvBrand.Rows.Count; i++)
                                            {
                                                <option value="@dtInvBrand.Rows[i]["Id"]">@dtInvBrand.Rows[i]["Name"]</option>
                                            }
                                        }
                                    }
                                </select>
                                <span asp-validation-for="InvBrandId" class="text-danger"></span>
                            </div>
                            <div class="col-md-6" id="otherBrandDiv" style="display:none;">
                                <label asp-for="OtherBrand" class="control-label"></label>
                                <input asp-for="OtherBrand" class="form-control" />
                            </div>
                            <div class="col-md-6">
                                <label asp-for="SecondColorId" class="control-label"></label>
                                <select asp-for="SecondColorId" id="SecondColorId" class="form-control ddSecondarylcolor">
                                    <option value="">-- Choose One --</option>
                                    @{
                                        DataTable dtSecondColor;
                                        if (ViewData["Colors"] != null)
                                        {
                                            dtSecondColor = (DataTable)ViewData["Colors"];

                                            for (int i = 0; i < dtSecondColor.Rows.Count; i++)
                                            {
                                                <option value="@dtSecondColor.Rows[i]["Id"]">@dtSecondColor.Rows[i]["Name"]</option>
                                            }
                                        }
                                    }
                                </select>
                                <span asp-validation-for="SecondColorId" class="text-danger"></span>
                            </div>

                            <div class="col-md-6" id="otherSecondaryColorDiv" style="display:none;">
                                <label asp-for="OtherSecondaryColor" class="control-label"></label>
                                <input asp-for="OtherSecondaryColor" class="form-control" />
                            </div>


                            <div class="col-md-6">
                                <label asp-for="InvModelName" class="control-label"></label>
                                <input asp-for="InvModelName" class="form-control" />
                                <span asp-validation-for="InvModelName" class="text-danger"></span>
                            </div>
                            <div class="col-md-6">
                                <label asp-for="InvModelNumber" class="control-label"></label>
                                <input asp-for="InvModelNumber" class="form-control" />
                                <span asp-validation-for="InvModelNumber" class="text-danger"></span>
                            </div>
                            <div class="col-md-6">
                                <label asp-for="InvShape" class="control-label"></label>
                                <input asp-for="InvShape" class="form-control" />
                                <span asp-validation-for="InvShape" class="text-danger"></span>
                            </div>
                            <div class="col-md-6">
                                <label asp-for="ItemSeparateCustomersPurchase" class="control-label"></label>
                                <input asp-for="ItemSeparateCustomersPurchase" class="form-control" />
                                <span asp-validation-for="ItemSeparateCustomersPurchase" class="text-danger"></span>
                            </div>
                            <div class="col-md-6">
                                <label asp-for="ItemIncludedInOnePurchase" class="control-label"></label>
                                <input asp-for="ItemIncludedInOnePurchase" class="form-control" />
                                <span asp-validation-for="ItemIncludedInOnePurchase" class="text-danger"></span>
                            </div>

                            <div class="col-md-6">
                                <label style="width:100%;" class="control-label">Size (H x W X D - Inches)</label>
                                <input asp-for="Height" placeholder="Height" class="form-control size" />
                                <input asp-for="Width" placeholder="Width" class="form-control size size-margin-left" />
                                <input asp-for="Depth" placeholder="Depth" class="form-control size size-margin-left" />

                                <span asp-validation-for="Height" class="text-danger"></span>
                                <span asp-validation-for="Width" class="text-danger size-margin-left-error"></span>
                                <span asp-validation-for="Depth" class="text-danger size-margin-left-error"></span>
                            </div>
                            <div class="col-md-6">
                                <label class="control-label" style="width:100%;">Weight (Pounds / Ounces)</label>
                                <input asp-for="WeightInPound" class="form-control weight" />
                                <input type="number" value="0" asp-for="WeightInInches" class="form-control weight weight-margin-left" />
                                <span asp-validation-for="WeightInPound" class="text-danger"></span>
                            </div>
                            <div class="col-md-6">
                                <label asp-for="AnyDamage" class="control-label"></label>
                                <textarea asp-for="AnyDamage" class="form-control"></textarea>
                                <span asp-validation-for="AnyDamage" class="text-danger"></span>
                            </div>
                            <div class="col-md-6">
                                <label asp-for="AdditionalNotes" class="control-label"></label>
                                <textarea asp-for="AdditionalNotes" class="form-control"></textarea>
                                <span asp-validation-for="AdditionalNotes" class="text-danger"></span>
                            </div>
                            <div class="col-md-6">
                                <label asp-for="StorageLocationLsle" style="width:100%;" class="control-label"></label>
                                <input asp-for="StorageLocationLsle" maxlength="20" placeholder="lsle" class="form-control size" />
                                <input asp-for="StorageLocationColumn" maxlength="20" placeholder="Column" class="form-control size size-margin-left" />
                                <input asp-for="StorageLocationRow" maxlength="20" placeholder="Row" class="form-control size size-margin-left" />

                                <span asp-validation-for="StorageLocationLsle" class="text-danger"></span>
                                <span asp-validation-for="StorageLocationColumn" class="text-danger size-margin-left-error"></span>
                                <span asp-validation-for="StorageLocationRow" class="text-danger size-margin-left-error"></span>
                            </div>
                            <div class="col-md-6">
                                <label asp-for="InvDesc" class="control-label"></label>
                                <textarea asp-for="InvDesc" class="form-control"></textarea>
                                <span asp-validation-for="InvDesc" class="text-danger"></span>
                            </div>
                            <div class="col-md-6">
                                <label asp-for="Descriptor1" class="control-label"></label>
                                <textarea asp-for="Descriptor1" class="form-control"></textarea>
                                <span asp-validation-for="Descriptor1" class="text-danger"></span>
                            </div>
                            <div class="col-md-6">
                                <label asp-for="Descriptor2" class="control-label"></label>
                                <textarea asp-for="Descriptor2" class="form-control"></textarea>
                                <span asp-validation-for="Descriptor2" class="text-danger"></span>
                            </div>
                            <div class="col-md-6">
                                <label asp-for="Descriptor3" class="control-label"></label>
                                <textarea asp-for="Descriptor3" class="form-control"></textarea>
                                <span asp-validation-for="Descriptor3" class="text-danger"></span>
                            </div>
                            <div class="form-group col-md-12">
                                <input type="submit" style="margin-top:20px;" value="Update Inventory" class="btn btn-primary" />
                            </div>
                        </div>
                    </div>
                </form>
                <div class="footer-listing">
                    <a style="text-align:right" asp-controller="Inventory" asp-action="Index"><i class="os-icon os-icon-signs-11"></i><span>Back to List</span></a>
                </div>
            </div>

        </div>
    </section>
</div>

